<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="adfEmployeeGet/Employee/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(adfEmployeeGet/Employee)"  disable-output-escaping="yes"/>
				<xsl:apply-templates select="//Employee"/>
				
				<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td>
							<br />
							<strong> 
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Личная информация:
                </xsl:when>
                <xsl:otherwise>
                  Personal Information:
                </xsl:otherwise>
              </xsl:choose>
            </strong>
							<br />
							<br />
							<xsl:choose>
								<xsl:when test="adfEmployeeGet/Employee/BirthDate">
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Дата рождения:
                    </xsl:when>
                    <xsl:otherwise>
                      Birth Date:
                    </xsl:otherwise>
                  </xsl:choose><xsl:value-of select="adf:FormatXmlDate(adfEmployeeGet/Employee/BirthDate,'d')"/><br />
								</xsl:when>
								<xsl:otherwise></xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="adfEmployeeGet/Employee/BirthPlace">
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Место рождения:
                    </xsl:when>
                    <xsl:otherwise>
                      Birth Place:
                    </xsl:otherwise>
                  </xsl:choose><xsl:value-of select="adfEmployeeGet/Employee/BirthPlace"/><br />
								</xsl:when>
								<xsl:otherwise>	 </xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="adfEmployeeGet/Employee/HireDate">
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Дата приема:
                    </xsl:when>
                    <xsl:otherwise>
                      Hire Date:
                    </xsl:otherwise>
                  </xsl:choose><xsl:value-of select="adf:FormatXmlDate(adfEmployeeGet/Employee/HireDate,'d')"/><br />
								</xsl:when>
								<xsl:otherwise></xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="adfEmployeeGet/Employee/FireDate">
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Дата увольнения:
                    </xsl:when>
                    <xsl:otherwise>
                      Fire Date:
                    </xsl:otherwise>
                  </xsl:choose><xsl:value-of select="adf:FormatXmlDate(adfEmployeeGet/Employee/FireDate,'d')"/><br />
								</xsl:when>
								<xsl:otherwise>	 </xsl:otherwise>
							</xsl:choose>
              <xsl:choose>
                <xsl:when test="adfEmployeeGet/Employee/Experience">
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Стаж:
                    </xsl:when>
                    <xsl:otherwise>
                      Experience:
                    </xsl:otherwise>
                  </xsl:choose><xsl:value-of select="adfEmployeeGet/Employee/Experience"/><br />
                </xsl:when>
                <xsl:otherwise>	 </xsl:otherwise>
              </xsl:choose>
							<xsl:choose>
								<xsl:when test="adfEmployeeGet/IdentityCard">
									<br />
									<table border="1" cellspacing="0" cellpadding="4">
										<tr>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Документ
                          </xsl:when>
                          <xsl:otherwise>
                            Document
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Серия
                          </xsl:when>
                          <xsl:otherwise>
                            Series
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Номер
                          </xsl:when>
                          <xsl:otherwise>
                            Personal Code
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Дата выдачи
                          </xsl:when>
                          <xsl:otherwise>
                            Issue date
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Кем выдан
                          </xsl:when>
                          <xsl:otherwise>
                            Issuer
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Действует до
                          </xsl:when>
                          <xsl:otherwise>
                            Expired on
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Не действителен
                          </xsl:when>
                          <xsl:otherwise>
                            Void
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
										</tr>
										<xsl:for-each select="adfEmployeeGet/IdentityCard">
											<xsl:apply-templates select="."/>
										</xsl:for-each>
									</table>
									<br />
								</xsl:when>
								<xsl:otherwise>	</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</table>

				<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td>
							<xsl:choose>
								<xsl:when test="adfEmployeeGet/Address">
									<strong>
                    <xsl:choose>
                      <xsl:when test="$lang = 'ru'">
                        Адреса:
                      </xsl:when>
                      <xsl:otherwise>
                        Addresses:
                      </xsl:otherwise>
                    </xsl:choose>
                  </strong>
									<br />
									<br />

									<table border="1" cellspacing="0" cellpadding="4">
										<tr>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Тип
                          </xsl:when>
                          <xsl:otherwise>
                            Type
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Улица
                          </xsl:when>
                          <xsl:otherwise>
                            Street
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Город
                          </xsl:when>
                          <xsl:otherwise>
                            City
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Регион
                          </xsl:when>
                          <xsl:otherwise>
                            Region
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Индекс
                          </xsl:when>
                          <xsl:otherwise>
                            Postal code
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Страна
                          </xsl:when>
                          <xsl:otherwise>
                            Country
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>

										</tr>
										<xsl:for-each select="adfEmployeeGet/Address">
											<xsl:apply-templates select="."/>
										</xsl:for-each>
									</table>

								</xsl:when>
								<xsl:otherwise>	</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</table>

				<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td>
							<xsl:choose>
								<xsl:when test="adfEmployeeGet/Phone">
									<br />
									<strong>
                    <xsl:choose>
                      <xsl:when test="$lang = 'ru'">
                        Телефоны:
                      </xsl:when>
                      <xsl:otherwise>
                        Phone Numbers:
                      </xsl:otherwise>
                    </xsl:choose>
                  </strong>
									<br />
									<br />
									<table border="1" cellspacing="0" cellpadding="4">
										<tr>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Тип
                          </xsl:when>
                          <xsl:otherwise>
                            Type
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
											<th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Номер
                          </xsl:when>
                          <xsl:otherwise>
                            №
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
										</tr>
										<xsl:for-each select="adfEmployeeGet/Phone">
											<xsl:apply-templates select="."/>
										</xsl:for-each>
									</table>

								</xsl:when>
								<xsl:otherwise>	</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</table>

				<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td>

							<br />
							<xsl:choose>
								<xsl:when test="adfEmployeeGet//Email">
									<strong>E-mail:</strong>
									<br />
									<br />
									<table border="1" cellspacing="0" cellpadding="4">
										<tr>
											<th>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          Тип
                        </xsl:when>
                        <xsl:otherwise>
                          Type
                        </xsl:otherwise>
                      </xsl:choose>
                    </th>
											<th>E-mail</th>
										</tr>
										<xsl:for-each select="adfEmployeeGet/Email">
											<xsl:apply-templates select="."/>
										</xsl:for-each>
									</table>

								</xsl:when>
								<xsl:otherwise>	</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</table>

				<xsl:value-of select="adf:GetFooter(adfEmployeeGet/Employee)"  disable-output-escaping="yes"/>
			</BODY>
		</HTML>
	</xsl:template>

	<xsl:template match="IdentityCard">
		<tr>
			<td>
				<xsl:value-of select="adf:GetListMember(IdentityCardTypeID, 'IdentityCardType', 'Name')"/>
			</td>
			<td>
				<xsl:value-of select="Seria"/>
			</td>
			<td>
				<xsl:value-of select="Number"/>
			</td>
			<td>
				<xsl:choose>
					<xsl:when test="IssueDate">
						<xsl:value-of select="adf:FormatXmlDate(IssueDate,'d')"/>
					</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>		
			</td>
			<td>
				<xsl:value-of select="Issuer"/>
			</td>
			<td>
				<xsl:choose>
					<xsl:when test="ExpirationDate">
						<xsl:value-of select="adf:FormatXmlDate(ExpirationDate,'d')"/>
					</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</td>
			<td>
				<xsl:choose>
					<xsl:when test="Expired='true'">
						<input id="Checkbox1" checked="checked" type="checkbox" disabled="true" />
					</xsl:when>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="Expired='false'">
						<input id="Checkbox1" type="checkbox" disabled="false" />
					</xsl:when>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="Address">
		<tr>
			<td>
				<xsl:value-of select="adf:GetListMember(AddressTypeID, 'AddressType', 'Name')"/>
			</td>
			<td>
				<xsl:value-of select="Street"/>
			</td>
			<td>
				<xsl:value-of select="City"/>
			</td>
			<td>
				<xsl:value-of select="Region"/>
			</td>
			<td>
				<xsl:value-of select="PostalCode"/>
			</td>
			<td>
				<xsl:value-of select="Country"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="Email">
		<tr>
			<td>
				<xsl:value-of select="adf:GetListMember(EmailTypeID, 'EmailType', 'Name')"/>
			</td>
			<td>
				<xsl:value-of select="Email"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="Phone">
		<tr>
			<td>
				<xsl:value-of select="adf:GetListMember(PhoneTypeID, 'PhoneType', 'Name')"/>
			</td>
			<td>
				<xsl:value-of select="Phone"/>
			</td>
		</tr>
	</xsl:template>



	<xsl:template match="Employee">
		<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">

			<tr>
				<td>
						<xsl:choose>
						<xsl:when test="CompanyID">
							<br />
							<strong>
                
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Компания:
                  </xsl:when>
                  <xsl:otherwise>
                    Company:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>

							<xsl:value-of select="adf:GetListMember(CompanyID, 'Company', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="PositionID">
								<br />
					<strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Должность:
              </xsl:when>
              <xsl:otherwise>
                Position:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
				
							<xsl:value-of select="adf:GetListMember(PositionID, 'Position', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>

					<xsl:choose>
						<xsl:when test="QualificationID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Квалификация:
                  </xsl:when>
                  <xsl:otherwise>
                    Qualification:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(QualificationID, 'Qualification', 'Name')"/>
						</xsl:when>
						<xsl:otherwise> </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="DivisionID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Подразделение:
                  </xsl:when>
                  <xsl:otherwise>
                    Division:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(DivisionID, 'Division', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>
					
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</table>
		
  </xsl:template>
</xsl:stylesheet>