<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE>
					<xsl:value-of select="pjm5ExpenseCodeGet/ExpenseCode/FileAs" />
				</TITLE>
				<xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
			</HEAD>
			<BODY >
				<xsl:value-of select="adf:GetHeader(pjm5ExpenseCodeGet/ExpenseCode)"  disable-output-escaping="yes"/>
				<xsl:apply-templates select="//ExpenseCode"/>
				<xsl:value-of select="adf:GetFooter(pjm5ExpenseCodeGet/ExpenseCode)"  disable-output-escaping="yes"/>

			</BODY>
		</HTML>
	</xsl:template>

	<xsl:template match="ExpenseCode">
		<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">

			
			<tr>
				<td>
					<br />
					<strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Тип проекта:
              </xsl:when>
              <xsl:otherwise>
                Project Type:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
					<xsl:choose>
						<xsl:when test="ProjectTypeID">
							<xsl:value-of select="adf:GetListMember(ProjectTypeID, 'ProjectType', 'Name')" />
						</xsl:when>
						<xsl:otherwise>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  (все типы)
                </xsl:when>
                <xsl:otherwise>
                  (All Types)
                </xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<br />
					<strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Добавлять в новый проект:
              </xsl:when>
              <xsl:otherwise>
                Add To New Project:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
					<xsl:choose>
						<xsl:when test="AddToNewProject='true'">
							<input id="Checkbox1" checked="checked" type="checkbox" disabled="true" />
						</xsl:when>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="AddToNewProject='false'">
							<input id="Checkbox1" type="checkbox" disabled="false" />
						</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<br />
					<strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Оплачивается:
              </xsl:when>
              <xsl:otherwise>
                Billable:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
					<xsl:choose>
						<xsl:when test="Billable='true'">
							<input id="Checkbox1" checked="checked" type="checkbox" disabled="true" />
						</xsl:when>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="Billable='false'">
							<input id="Checkbox1" type="checkbox" disabled="false" />
						</xsl:when>
					</xsl:choose>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>