<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm5QualificationGet/Qualification/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(pjm5QualificationGet/Qualification)"  disable-output-escaping="yes"/>
				<xsl:apply-templates select="pjm5QualificationGet/Qualification"/>
				<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td>
							<br />
							<strong> 
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Ставки в различных валютах:
                </xsl:when>
                <xsl:otherwise>
                  Rates In Different Currencies:
                </xsl:otherwise>
              </xsl:choose>
            </strong>
						</td>
					</tr>
				</table>
				<br />
        <table border="1" cellspacing="0" cellpadding="4">
          <tr>
            <th>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Стандартная
                </xsl:when>
                <xsl:otherwise>
                  Standard
                </xsl:otherwise>
              </xsl:choose>
            </th>
            <th>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Сверхурочная
                </xsl:when>
                <xsl:otherwise>
                  Overtime
                </xsl:otherwise>
              </xsl:choose>
            </th>
            <th>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Валюта
                </xsl:when>
                <xsl:otherwise>
                  Currency
                </xsl:otherwise>
              </xsl:choose>
            </th>
          </tr>
          <xsl:for-each select="pjm5QualificationGet/QualificationRate">
            <xsl:apply-templates select="."/>
          </xsl:for-each>
        </table>
        <xsl:value-of select="adf:GetFooter(pjm5QualificationGet/Qualification)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="Qualification">
			<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
				<tr>
					<td>
						<xsl:choose>
							<xsl:when test="ActivityTypeID">
								<br />
								<strong>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Основной вид деятельности:
                    </xsl:when>
                    <xsl:otherwise>
                      Default Activity Type:
                    </xsl:otherwise>
                  </xsl:choose>
                </strong>
								<xsl:value-of select="adf:GetListMember(ActivityTypeID, 'ActivityType', 'Name')"/>
								<br/>
							</xsl:when>
							<xsl:otherwise>	 </xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</table>
			
	</xsl:template>

  <xsl:template match="QualificationRate">
    <tr>
      <td align="right">
        <xsl:value-of select="Standard"/>
      </td>
      <td align="right">
        <xsl:value-of select="Overtime"/>
      </td>
      <td>
        <xsl:value-of select="CurrencyCode"/>
      </td>
    </tr>
  </xsl:template>

</xsl:stylesheet>